使用ncu一键升级package.json到最新版本依赖

1.全局安装 npm-check-updates

npm i -g npm-check-updates

2.检查版本信息

在package.json所在目录(根目录)执行如下命令,可以查看当前的以来版本和最新的依赖版本。

ncu
-------------------------------------------------------
 @monaco-editor/react                ^4.5.0  →   ^4.5.1
 @tauri-apps/api                     ^1.2.0  →   ^1.3.0
 @tauri-apps/cli                     ^1.2.2  →   ^1.3.0
 @types/node                       ^18.7.10  →  ^20.1.0
 @types/react                      ^18.0.15  →  ^18.2.5
 @types/react-dom                   ^18.0.6  →  ^18.2.4
 @typescript-eslint/eslint-plugin   ^5.56.0  →  ^5.59.2
 @typescript-eslint/parser          ^5.56.0  →  ^5.59.2
 @vitejs/plugin-react                ^3.0.0  →   ^4.0.0
 ahooks                              ^3.7.6  →   ^3.7.7
 eslint                             ^8.36.0  →  ^8.40.0
 monaco-editor                      ^0.37.1  →  ^0.38.0
 prettier                            ^2.8.5  →   ^2.8.8
 react-router-dom                   ^6.10.0  →  ^6.11.1
 stylelint                          ^15.3.0  →  ^15.6.1
 stylelint-config-standard          ^31.0.0  →  ^33.0.0
 typescript                          ^5.0.0  →   ^5.0.4
 vite                                ^4.3.1  →   ^4.3.5

可以看到当前项目所有有更新依赖的当前的版本和最新版本号。

3. 执行升级命令

ncu -u 

4.重新安装依赖

重新安装依赖,至此项目内所有依赖都已升级到最新的了。同时需要注意的是,如果项目比较老旧,那么新的依赖可能会不兼容旧的那么就需要我们手动介入了。

# 前端  npm 

评论

Your browser is out-of-date!

Update your browser to view this website correctly. Update my browser now

×